
Redmine - Patch #35396

Use base_scope for issue query results

2021-06-10 19:00 - Alexander Meindl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

This is some refactoring, which drops redundant definition of query scope. With this change, base_scope is used for issues.

Second advantage is, plugin developer can overwrite base_scope to include more features (e.g. for search filter).

There are no downsides with it.

Associated revisions

Revision 21040 - 2021-06-19 04:16 - Go MAEDA

Use base_scope for issue query results (#35396).

Patch by Alexander Meindl.

History

#1 - 2021-06-10 19:06 - Alexander Meindl

- File issues_with_base_scope_v2.patch added

I created a second patch, which also uses base_scope for issue_ids.

#2 - 2021-06-11 02:17 - Go MAEDA

- Category changed from Issues list to Code cleanup/refactoring

- Target version set to Candidate for next major release

IssueQuery#base_scope was added in r14642. I think the proposed changes should have been included in r14642.

#3 - 2021-06-16 16:22 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#4 - 2021-06-19 04:16 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

Files

issues_with_base_scope.patch 550 Bytes 2021-06-10 Alexander Meindl

issues_with_base_scope_v2.patch 938 Bytes 2021-06-10 Alexander Meindl
